/*
 * CreateChannelsEvent.java
 * Created on 23-Sep-2003, 11:12:13
 */
package protocols.perfectFailureDetector;

import appia.AppiaEventException;
import appia.Channel;
import appia.Session;
import appia.events.SendableEvent;


/**
 * Class CreateChannelsEvent.
 * Event used to create the Perfect Point to Point Channels.
 * @author nuno
 */
public class CreateChannelsEvent extends SendableEvent {

	/**
	 * Default constructor.
	 */
	public CreateChannelsEvent() {
		super();
	}

	/**
	 * Constructor of the event.
	 * @param channel the Appia Channel
	 * @param dir the direction of the event.
	 * @param source the session that created the event.
	 * @throws AppiaEventException
	 */
	public CreateChannelsEvent(Channel channel, int dir, Session source)
		throws AppiaEventException {
		super(channel, dir, source);
	}

}
