/*
 * MessageID.java
 * Created on 22-Sep-2003, 12:32:36
 */
package protocols.utils;

import java.io.Serializable;

/**
 * Class MessageID Identifies a message.
 * @author nuno
 */
public class MessageID implements Serializable {
	public int process, seqNumber;
	public MessageID(int p, int s){
		process = p;
		seqNumber = s;
	}
	public int hashCode(){
		return process ^ seqNumber;
	}
	public boolean equals(Object o){
		MessageID id = (MessageID) o;
		return process == id.process && seqNumber == id.seqNumber;
	}
	
	public String toString(){
		return " ("+process+","+seqNumber+") ";
	}
}
